Bug 191333 - OOimpress crashes when pasting text into notes
OOimpress crashes when pasting text into notes
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-05-10 17:34 EDT by Rik van Riel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-5.12.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-25 03:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mapped stack (2.99 KB, text/plain)
2006-05-11 04:13 EDT, Caolan McNamara
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 65308 None None None Never

  None (edit)
Description Rik van Riel 2006-05-10 17:34:12 EDT
Description of problem:

OOimpress crashes when you select text from a slide (with bullet points) and try
to paste the text into the notes.

---start copy and paste here---
Video Driver is probably: i810
Desktop is: GNOME
libgcj version is: libgcj-4.1.0-3
kernel is: Linux 2.6.15-1.2054_FC5 #1 Tue Mar 14 15:48:33 EST 2006 i686 i686 i386
OpenOffice.org core rpm version is: openoffice.org-core-2.0.2-5.2.2
accessibility is: false
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
0x58d1680: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e680
0x58d1ec0: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1eec0
0x719420:  + 0x420 (__kernel_sigreturn + 0x0)
0x3e98633: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0xee633
0x3eb1789: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0x107789
0x3ea7cc8: /usr/lib/openoffice.org2.0/program/libsd680li.so + 0xfdcc8
0x5f4b471: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf471
0x5f4d197: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d1197
0x5f4e6cb: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d26cb
0x5f4d4fd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d14fd
0x268276: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x24276
0x26740f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x2340f
0xf1e4de: /usr/lib/libgtk-x11-2.0.so.0 + 0x1234de
0xad8f6d: /usr/lib/libgobject-2.0.so.0 + 0x8f6d (g_closure_invoke + 0x11d)
0xae9a3d: /usr/lib/libgobject-2.0.so.0 + 0x19a3d
0xaead0f: /usr/lib/libgobject-2.0.so.0 + 0x1ad0f (g_signal_emit_valist + 0x68f)
0xaeb109: /usr/lib/libgobject-2.0.so.0 + 0x1b109 (g_signal_emit + 0x29)
0x1009028: /usr/lib/libgtk-x11-2.0.so.0 + 0x20e028
0xf17ec3: /usr/lib/libgtk-x11-2.0.so.0 + 0x11cec3 (gtk_propagate_event + 0x183)
0xf19117: /usr/lib/libgtk-x11-2.0.so.0 + 0x11e117 (gtk_main_do_event + 0x317)
0xcbb93a: /usr/lib/libgdk-x11-2.0.so.0 + 0x4093a
0xa6109d: /usr/lib/libglib-2.0.so.0 + 0x2509d (g_main_context_dispatch + 0x16d)
0xa6432f: /usr/lib/libglib-2.0.so.0 + 0x2832f
0xa64895: /usr/lib/libglib-2.0.so.0 + 0x28895 (g_main_context_iteration + 0x65)
0x258771: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x14771
0x2cb21d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4321d
(X11SalInstance::Yield(unsigned char) + 0x27)
0x5e06866: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a866
(Application::Yield() + 0x48)
0x5e068ea: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8a8ea
(Application::Execute() + 0x26)
0x71a20bb: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x280bb
(desktop::Desktop::Main() + 0x15af)
0x5e0a956: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e956
0x5e0aa09: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8ea09 (SVMain()
+ 0x2b)
0x719abf3: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20bf3 (sal_main
+ 0x57)
0x719ac3f: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20c3f (main + 0x27)
0x1267e4: /lib/libc.so.6 + 0x157e4 (__libc_start_main + 0xdc)
0x80484d1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4d1
---end copy and paste here---
paste the above into your bug report

Version-Release number of selected component (if applicable):

Comment 1 Caolan McNamara 2006-05-11 04:13:11 EDT
Created attachment 128878 [details]
mapped stack
Comment 2 Caolan McNamara 2006-05-11 08:48:38 EDT
I can't reproduce in 2.0.2-5.9.2 yet and there wasn't really any relevent fixes
since 2.0.2-5.2.2 which should impact that area, so what was the paste mechanism ?

clicking the paste (clipboard) icon ?
right click and select paste ?
middle click ?
and is it always reproducable for you.
Comment 3 Rik van Riel 2006-05-11 09:14:51 EDT
1. select text with bullets and sub-bullets in the "normal" view
2. switch to "notes" view
3. middle click (or actually left+right simultaneously) in the notes area

I am preparing a presentation now, so I can't really try crashing OOo
deliberately right now, but I'll certainly try it again later today...
Comment 4 Caolan McNamara 2006-05-11 13:25:42 EDT
ok, reproducable but strange. Have a workaround patch which will be in the next
rawhide and the next FC-5 update if one is scheduled

Comment 5 Caolan McNamara 2006-05-11 13:26:41 EDT
you got to wiggle the scrollbar or something in notes view for the crash to
happen, all seems a bit whacked
Comment 6 Fedora Update System 2006-05-24 19:26:03 EDT
openoffice.org-2.0.2-5.12.2 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.